## attica 0.4.2

=== CMakeLists.txt ===
project(attica)
cmake_minimum_required(VERSION 2.8)

option(QT4_BUILD "Force building with Qt4 even if Qt5 is found")
if (NOT QT4_BUILD)
  find_package(Qt5Core QUIET)
endif()
if (Qt5Core_FOUND)
  message(STATUS "Building with Qt5 support")
  find_package(ECM 0.0.6 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
  find_package(Qt5Transitional REQUIRED Core Network)
  include(GNUInstallDirs)
  set(LIB_DESTINATION "${CMAKE_INSTALL_LIBDIR}")
else()
  set(QT_MIN_VERSION "4.7.0")
  find_package(Qt4 REQUIRED)
  set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
  set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)
endif()

if (Qt5Core_FOUND)
  set(CMAKE_LIBATTICA_VERSION_MAJOR 1)
  set(CMAKE_LIBATTICA_VERSION_MINOR 0)
  set(CMAKE_LIBATTICA_VERSION_PATCH 0)
else()
  set(CMAKE_LIBATTICA_VERSION_MAJOR 0)
  set(CMAKE_LIBATTICA_VERSION_MINOR 4)
  set(CMAKE_LIBATTICA_VERSION_PATCH 2)
endif()
set(CMAKE_LIBATTICA_VERSION_STRING  "${CMAKE_LIBATTICA_VERSION_MAJOR}.${CMAKE_LIBATTICA_VERSION_MINOR}.${CMAKE_LIBATTICA_VERSION_PATCH}")

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS} -Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS} -Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "${CMAKE_CXX_FLAGS} -Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# Enable static build
option(ATTICA_STATIC_BUILD "Build a static library" Off)

# Enable unit testing
option(ATTICA_ENABLE_TESTS "Enable tests" ON)
if (ATTICA_ENABLE_TESTS)
    enable_testing()
endif (ATTICA_ENABLE_TESTS)

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

add_subdirectory(lib)

=== lib/tests/CMakeLists.txt ===
macro(ATTICA_TESTS)
    foreach(_testname ${ARGN})
        qt4_generate_moc(${_testname}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${_testname}.moc)
        include_directories(${attica_BINARY_DIR}/lib)
        add_executable(${_testname} ${_testname}.cpp ${_testname}.moc)
        target_link_libraries(${_testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} attica)
        add_test(${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname})
    endforeach(_testname)
endmacro(ATTICA_TESTS)

ATTICA_TESTS(persontest )
#             attributestest)

add_subdirectory(projecttest)

=== lib/tests/projecttest/CMakeLists.txt ===
project(projecttest)
cmake_minimum_required(VERSION 2.8)

set(QT_MIN_VERSION "4.7.0")
if (Qt5Core_FOUND)
    find_package(Qt5Transitional REQUIRED
        Widgets
    )
endif()

include_directories(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                    ${LIBATTICA_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR} )

set(editproject_UI editproject.ui)
QT4_WRAP_UI(editproject_UI_H ${editproject_UI})

set(projecttest_SRCS
    projecttest.cpp
    main.cpp
)
qt4_automoc(${projecttest_SRCS} ${editproject_SRCS})

add_executable(projecttest ${projecttest_SRCS} ${editproject_UI_H})

target_link_libraries(projecttest ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} attica)

## attica 0.1.3

=== debian/changelog ===
attica (0.1.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
  * Remove symbols files and infastructure since we don't have the proper
    tools to maintain their use.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 10 Apr 2010 13:49:12 -0400

attica (0.1.2-1) unstable; urgency=low

  [ Thibaut Gridel ]
  * New Upstream version.
  * Dropping no-qtgui patch applied upstream.
  * Fixing symbols and version.
  * Removing unneeded Section field.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 16 Jan 2010 14:28:34 +0100

attica (0.1.1-2) unstable; urgency=low

  [ Thibaut Gridel ]
  * Updating copyright.
  * Fixing symbols for qreal.
  * Fixing Vcs-Browser field.
  * Fixing dh_strip.
  * Cleaning generated symbols file.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sun, 03 Jan 2010 23:21:24 +0100

attica (0.1.1-1) unstable; urgency=low

  [ Thibaut Gridel ]
  * Initial release (Closes: #560102)
  * Removing link against libQtGui
  * Generating shlibs from dh_makeshlibs
  * Removing cmake option for kde and fixing rpath issue

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 12 Dec 2009 21:50:25 +0100

=== debian/control ===
Source: attica
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Thibaut Gridel <tgridel@free.fr>
Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, pkg-kde-tools
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.kde.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/attica/
Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/attica

Package: libattica-dev
Section: libdevel
Architecture: any
Depends: libattica0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libattica
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.4.
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package contains the development header files. 

Package: libattica0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.4.
 It grants easy access to the services such as querying information about
 persons and contents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CXXFLAGS+=-fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	# Generated by build
	rm -rf debian/libattica0.symbols

override_dh_strip:
	dh_strip
	# Generate symbols file
	# pkgkde-symbolshelper symbolfile -p libattica0 -o debian/libattica0.symbols

override_dh_makeshlibs:
	dh_makeshlibs -V 'libattica0 (>=0.1.2)'

## attica 0.1.4

=== debian/changelog ===
attica (0.1.4-1) unstable; urgency=low

  [ Thibaut GRIDEL ]
  * New upstream version.
  * Dropping patch applied upstream.
  * Updating symbols file.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 May 2010 21:23:39 +0200

attica (0.1.3-2) unstable; urgency=low

  [ Thibaut GRIDEL ]
  * Removing undefined methods which break bindings.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Apr 2010 18:46:35 +0200

attica (0.1.3-1) unstable; urgency=low

  [ Thibaut GRIDEL ]
  * New upstream version.
  * Using --with pkgkde_symbolshelper.
  * Updating Standards-Version to 3.8.4 (no change).
  * Adding parallel build.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Apr 2010 19:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: attica
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Thibaut Gridel <tgridel@free.fr>
-Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, pkg-kde-tools
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, pkg-kde-tools (>=0.6)
+Standards-Version: 3.8.4
 Section: libs
 Homepage: http://www.kde.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/attica/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CXXFLAGS+=-fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -V 'libattica0 (>=0.1.3)'

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncommment to examine a FTP server
ftp://ftp.kde.org/pub/kde/stable/attica/attica-(.*)\.tar\.bz2 debian uupdate

## attica 0.2.0

=== debian/changelog ===
attica (0.2.0-1) unstable; urgency=low

  * New 0.2.0 upstream version.

  [ Modestas Vainius ]
  * Add Build-Depends-Package field to the symbol file.
  * Remove article from the description synopsis of libattica0.

  [ Thibaut GRIDEL ]
  * Adding new symbols for 0.1.90.
  * Bumping Standards-Version to 3.9.1.

  [ Didier Raboud ]
  * Update copyright.
  * Make the install file generic.
  * Adding new symbols for 0.2.0.
  * Remove useless dh_makeshlibs override.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Mar 2011 01:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Thibaut Gridel <tgridel@free.fr>
 Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, pkg-kde-tools (>=0.6)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.kde.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/attica/
@@ -24,7 +24,7 @@
 Package: libattica0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a Qt library that implements the Open Collaboration Services API
+Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.4.
  It grants easy access to the services such as querying information about

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V 'libattica0 (>=0.1.3)'

## attica 0.2.80

=== debian/changelog ===
attica (0.2.80-0ubuntu2) natty; urgency=low

  * Update symbols file for armel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 16:52:10 +0000

attica (0.2.80-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 16:16:10 +0000

attica (0.2.0-0ubuntu2) natty; urgency=low

  * Update debian/copyright
  * Drop -0ubuntu1 revision from new symbols in libattica0.symbols

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Nov 2010 09:00:10 -0500

attica (0.2.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Nov 2010 13:06:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: attica
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Thibaut Gridel <tgridel@free.fr>
 Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, pkg-kde-tools (>=0.6)
-Standards-Version: 3.9.1
+Standards-Version: 3.8.4
 Section: libs
 Homepage: http://www.kde.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/attica/
@@ -24,7 +25,7 @@
 Package: libattica0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Qt library that implements the Open Collaboration Services API
+Description: a Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.4.
  It grants easy access to the services such as querying information about

## attica 0.3.0

=== debian/changelog ===
attica (0.3.0-0ubuntu2) precise; urgency=low

  * Update symbols file for arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Dec 2011 15:59:25 +0000

attica (0.3.0-0ubuntu1) precise; urgency=low

  * New upstream release to fix ABI breakage, lucky we had good old
    .symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Dec 2011 22:28:27 +0000

attica (0.2.80really0.2.9-0ubuntu1) precise; urgency=low

  * New upstream release (with non-sequential version number)
  * Remove no-rpath patch, now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Nov 2011 17:49:21 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libattica-dev
 Section: libdevel
 Architecture: any
-Depends: libattica0 (= ${binary:Version}), ${misc:Depends}
+Depends: libattica0.3 (= ${binary:Version}), ${misc:Depends}
 Description: development files for libattica
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.4.
@@ -22,7 +22,7 @@
  .
  This package contains the development header files. 
 
-Package: libattica0
+Package: libattica0.3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a Qt library that implements the Open Collaboration Services API

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V 'libattica0.3 (>=0.1.3)'

## attica 0.4.1

=== debian/changelog ===
attica (0.4.1-0ubuntu3) quantal; urgency=low

  * Update symbols file on armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 16:06:17 +0100

attica (0.4.1-0ubuntu2) quantal; urgency=low

  * Update symbols file on amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 13:07:09 +0100

attica (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * Build without -fvisibility=hidden, breaks compile with this version
  * ABI change means transition to new SONAME and new binary package libattica0.4
  * Remove explicit dh_makeshlibs version in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Sep 2012 21:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libattica-dev
 Section: libdevel
 Architecture: any
-Depends: libattica0.3 (= ${binary:Version}), ${misc:Depends}
+Depends: libattica0.4 (= ${binary:Version}), ${misc:Depends}
 Description: development files for libattica
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.4.
@@ -22,7 +22,7 @@
  .
  This package contains the development header files. 
 
-Package: libattica0.3
+Package: libattica0.4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a Qt library that implements the Open Collaboration Services API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#breaks compile with 0.4.1 jriddell 2012-09-13
#export CXXFLAGS+=-fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with pkgkde_symbolshelper

## attica 0.4.2

=== debian/changelog ===
attica (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #777785)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Aug 2015 16:26:04 +0200

attica (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Update patch switch-to-multiarch.patch to the new attica version.
  * Update copyright.
  * Update Homepage.
  * Update symbols file.
  * Mark libattica-dbg as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Jun 2013 22:28:34 +0200

attica (0.4.1-2) unstable; urgency=low

  * Upload to unstable.
  * Rename docs to libattica0.4.docs, so it applies to the shared library.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Jun 2013 21:33:09 +0200

attica (0.4.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Disable the unit tests, which do not link when compiling with hidden
    visibility.
  * Bump minimum libqt4-dev build dependency to >= 4.7, as indicated in the
    build system.
  * Change OCS API version from 1.4 to 1.6 in descriptions.
  * Update symbols file with optional symbols of 0.4.0.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Dec 2012 19:12:59 +0100

attica (0.4.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Ana Beatriz Guerrero Lopez ]
  * Remove Thibaut Gridel from Uploaders as he requested.

  [ Pino Toscano ]
  * Add myself to Uploaders.
  * Rename libattica0 to libattica0.4, according to the new SONAME.
  * Drop patch no-rpath, applied upstream.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump the debhelper compatibility to v9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
    - convert the CXXFLAGS addition to the dpkg-buildflags way
  * Drop the custom CXXFLAGS, they seem to break compilation.
  * Update the symbols file.
  * Update Vcs-Browser header and migrate Vcs-Svn to Vcs-Git.
  * Add libattica-dbg.
  * Remove templates-like comments from the watch file.
  * Update copyright.
  * libattica-dev: depend on libqt4-dev.

  [ Daniel Schaal ]
  * Switch to multiarch. (Closes: #636318)

 -- Pino Toscano <pino@debian.org>  Mon, 02 Jul 2012 23:57:27 +0200

=== debian/control ===
Source: attica
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libqt4-dev (>= 4:4.7),
 pkg-kde-tools (>= 0.6)
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/attica
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/attica.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/attica.git

Package: libattica-dev
Section: libdevel
Architecture: any
Depends: libattica0.4 (= ${binary:Version}), ${misc:Depends}, libqt4-dev
Description: development files for libattica
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package contains the development header files. 

Package: libattica0.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 It grants easy access to the services such as querying information about
 persons and contents.

Package: libattica-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libattica0.4 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for libattica
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_CXXFLAGS_MAINT_APPEND := -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DATTICA_ENABLE_TESTS=OFF

override_dh_strip:
	dh_strip --dbg-package=libattica-dbg
